Summary: 	Open Audio Library Utility Toolkit
Name: 		freealut
Version: 	1.0.1
Release:	2
Group: 		Libraries
License: 	GPL
URL:            http://www.openal.org
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	openal-devel

%description
freealut is a highly portable Open Source implementation of ALUT, a
utility toolkit for OpenAL. ALUT makes managing of OpenAL contexts,
loading sounds in various formats and creating waveforms very easy.

%package 	devel
Summary: 	Development files for the Open Audio Library.
Group: 		Development

%description 	devel
Include files, statically linked library and collection of documentation for 
the Open Audio Library.

%prep
%setup -q -n %{name}*

%build
%configure --enable-optimization \
	    --enable-esd \
	    --enable-arts \
	    --enable-alsa \
	    --enable-sdl \
	    --enable-vorbis \
	    --enable-mp3 \
	    --enable-waveout \
	    --enable-null \
	    --disable-nls
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
cd $RPM_BUILD_ROOT/usr/include; ln -sf AL/*.h .

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/lib/*.so.*
/usr/lib/*.so
/usr/lib/*.la

%files devel
%defattr(-,root,root,-)
/usr/lib/*.a
/usr/lib/pkgconfig
/usr/include
/usr/bin
